Package ru.bitel.bgbilling.modules.walletone.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.walletone.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setCreateDate(Date createDate)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `Transaction`
  `setTransactionId(String transactionId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractTitle, setParameters, setPaymentId, setStatus, setTransactionDate, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setCreateDate

    public Transaction setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BGAbstractTransaction`

  - ### setTransactionId

    public Transaction setTransactionId(String transactionId)
    Overrides:
      `setTransactionId` in class `BGAbstractTransaction`

  - ### builder

    public static Transaction.Builder builder()